> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Org Settings

> Reads timezone, token totals, unallocated-token flag, multi-currency invoice flag and non-secret Okta settings.

Required scope: `organization:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-org-settings
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-org-settings:
    get:
      operationId: getOrgSettings
      summary: Get Org Settings
      x-toku-required-scope: organization:read
      description: >-
        Reads timezone, token totals, unallocated-token flag, multi-currency
        invoice flag and non-secret Okta settings.


        Required scope: `organization:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrgSettingsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetOrgSettingsResponse:
      oneOf:
        - $ref: '#/components/schemas/GetOrgSettingsResponse1'
        - type: 'null'
    GetOrgSettingsResponse1:
      type: object
      properties:
        timezone:
          type: string
        totalTokens:
          type:
            - string
            - 'null'
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        shouldShowUnallocatedTokens:
          type:
            - boolean
            - 'null'
        enableMultiCurrencyInvoices:
          type: boolean
        requireInvoiceWorkSummary:
          type: boolean
        isOktaEnabled:
          type: boolean
        oktaClientId:
          type:
            - string
            - 'null'
        oktaIssuerUrl:
          type:
            - string
            - 'null'
      required:
        - timezone
        - totalTokens
        - shouldShowUnallocatedTokens
        - enableMultiCurrencyInvoices
        - requireInvoiceWorkSummary
        - isOktaEnabled
        - oktaClientId
        - oktaIssuerUrl
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
